[AD] Remove DJGPP makefile from Unix archives |
[ Thread Index |
Date Index
| More lists.liballeg.org/allegro-developers Archives
]
As reported by James Ponder on [AL], having the DJGPP-generated makefile
in the .tar.gz archive might be confusing when preparing the Linux->DJGPP
cross-compilation of Allegro because it doesn't correspond with the
Unix-generated alplatf.h file in the archive.
Fixed thusly on trunk and branch.
--
Eric Botcazou
Index: misc/mkunixdists.sh
===================================================================
RCS file: /cvsroot/alleg/allegro/misc/mkunixdists.sh,v
retrieving revision 1.15
diff -u -r1.15 mkunixdists.sh
--- misc/mkunixdists.sh 18 May 2002 12:06:32 -0000 1.15
+++ misc/mkunixdists.sh 7 May 2003 13:01:56 -0000
@@ -50,7 +50,7 @@
echo "Unzipping $1 to $dir"
unzip -qq $1 -d $dir || error
echo "Running 'fix.sh unix'"
- (cd $dir/allegro && . fix.sh unix >/dev/null) || error
+ (cd $dir/allegro && rm -f makefile && . fix.sh unix >/dev/null) || error
echo "Checking version number"
basename=$(sed -n -e 's/shared_version = /allegro-/p' $dir/allegro/makefile.ver)
basename2=$(sed -n -e 's/shared_version = /allegro-enduser-/p' $dir/allegro/makefile.ver)